Module
Inhalte
Index 🔎︎

# Funktion DateDiff

Gibt die Anzahl der Datumsintervalle zwischen zwei Datumswerten zurück.

## Syntax:

    DateDiff (Intervall, Datum1, Datum2 [, Wochenstart [, Jahresstart]])

## Rückgabewert:

Eine Zahl.

## Parameter:

Intervall - Ein Zeichenkettenausdruck aus der folgenden Tabelle, der das Datumsintervall angibt.

Intervall (Zeichenkette) | Erklärung
yyyy | Jahr
q | Quartal
m | Monat
y | Kalendertag
w | Wochentag
ww | Kalenderwoche
d | Tag
h | Stunde
n | Minute
s | Sekunde

Datum1, Datum2 - Die zwei zu vergleichenden Datumswerte.

Wochenstart - Ein optionaler Parameter, der den ersten Tag der Woche festlegt.

Wert von Wochenstart | Erklärung
0 | Systemvorgabewert verwenden
1 | Sonntag (Vorgabe)
2 | Montag
3 | Dienstag
4 | Mittwoch
5 | Donnerstag
6 | Freitag
7 | Samstag

Jahresstart - Ein optionaler Parameter, der die erste Woche im Jahr festlegt.

Wert von Jahresstart | Erklärung
0 | Systemvorgabewert verwenden
1 | Woche 1 ist die Woche, auf die der 1. Januar fällt. (Vorgabe)
2 | Woche 1 ist die erste Woche, die mindestens vier Tage dieses Jahres enthält
3 | Woche 1 ist die erste Woche, die ausschließlich Tage dieses Jahres enthält

## Beispiel:

    Sub example_datediff

        MsgBox DateDiff("d", "1/1/2005", "12/31/2005")

    End Sub